#define F_CPU		20000000UL

#define Framerate	75

#define 	GRAYSCALE					// Graustufen einschalten

#define 	COMMAND_TIMEOUT	65			// Timeout in Frames
//#define		GRAYMOD					// Vermeidet Flackern der Graustufen 


#define XSIZE		320
#define YSIZE		240

#define XOScan		0
#define YOScan		0

#define TEXT_X		8
#define TEXT_Y		12
#define Zeilen		(YSIZE/TEXT_Y)
#define Spalten 	(XSIZE/TEXT_X)

#define DDRAM		512

#define YMin		(DDRAM/256)
#define YMax		YMin+YSIZE
#define YScan		YMin+YSIZE+YOScan
#define	RELOAD		(F_CPU/8/(Framerate*(YSIZE+YOScan)))-1
#define XVSIZEGR	512
#define XVSIZESW	512

// PortC
#define 	LCD_FLM		0
//#define 	LCD_M		1
#define		Drv_E		2
#define		Drv_dir		3
#define		RAM_A7		4
#define 	RTX			5

// PORTB
#define 	RAM_RAS		3
#define 	RAM_CAS		2
#define 	RAM_OE		1
#define 	RAM_WE		0
#define 	LCD_CP		5
#define 	LCD_LP		4


#define		C_norm		((1<<RAM_WE)|(1<<RAM_OE)|(1<<RAM_CAS)|(1<<RAM_RAS))
#define		C_RAS		((1<<RAM_WE)|(1<<RAM_CAS))
#define		C_CAS		((1<<RAM_WE))
#define		C_CP		((1<<LCD_CP)|(1<<RAM_WE))

#define		C_RAS_W		((1<<RAM_WE)|(1<<RAM_OE)|(1<<RAM_CAS))
#define		C_CAS_OE	((1<<RAM_WE)|(1<<RAM_OE))
#define		C_CAS_W		((1<<RAM_OE))

